Next: The graphical user interface Up: UWM users manual Previous: Some things you might Contents

# Command line options

Currently uwm supports the following command line options:

-NoStartScript
  will prevent UWM from executing the StartScript defined in uwmrc (see below).
-NoStopScript
  will prevent UWM from executing the StopScript defined in uwmrc (see below).
-TryHard
  conforming to icccm 2.0 UWM has the ability to recognize and replace other (fully) icccm compliant window managers. However the default behaviour is not to replace other window managers since these programs usually will be terminated then which will also terminate the whole X-session in most cases (which shouldn't be done accidentally playing around with UWM ). This option uses the protocol specified by icccm 2.0 to make another window manager terminate and pass control to UWM .
-Hostile
  icccm 2.0 allows `X11` resource manager clients to terminate other resource manager clients by deleting their connection to the X-server in case they do not react to the protocol used by `uwm -TryHard`. `uwm -Hostile` uses this in addition to the `uwm -TryHard` protocol. However there might be some really ugly side effects killing a window managers connection to the X-server so be careful with this option.
-StayAlive
  tells UWM exactly not to react on protocol requests like the ones used by `uwm -TryHarder`. However `uwm -Hostile` is able to replace a `uwm -StayAlive`.
-help
  displays a brief help screen describing UWM 's command line options.

Next: The graphical user interface Up: UWM users manual Previous: Some things you might Contents